<?php
/*
* Template Name: Contact page
*/	
get_header();
?>
<section class="inner-wrapper inner-contact">
	<div class="container">
		<div class="map mgb-lg">
			<?php if ( is_active_sidebar( 'google-map' ) ) { ?>
				<?php dynamic_sidebar( 'google-map' );?>
			<?php } ?>
		</div>
		<div class="row">
			<div class="col-lg-4">
				<div class="contact-info mgb-lg">
					<h3 class="title"><?php the_title();?></h3>
					<div class="c-info">
						<?php
						$social_charity_contact_no =  get_theme_mod( 'social_charity_contact_phone_number', __('(+123) 456 7890','social-charity') );
						$social_charity_contact_email =  get_theme_mod( 'social_charity_contact_email_address', __('info.demo@email.com','social-charity') );
						$social_charity_contact_address =  get_theme_mod( 'social_charity_contact_main_address', __('40 Barla Street 133/2 New York City, US','social-charity') );
						$social_charity_contact_gint =  get_theme_mod( 'social_charity_contact_gint_link_text', __('Get In Touch','social-charity') );
						?>
						<div class="icon">
							<span class="fa fa-map-marker" aria-hidden="true"></span>
						</div>
						<div class="text">
							<span class="title"><?php echo esc_html__('Address','social-charity');?></span>
							<span><?php echo esc_html($social_charity_contact_address);?></span>
						</div>
					</div>
					<div class="c-info">
						<div class="icon">
							<span class="fa fa-phone" aria-hidden="true"></span>
						</div>
						<div class="text">
							<span class="title"><?php echo esc_html__('Phone','social-charity');?></span>
							<a href="tel:<?php echo esc_attr($social_charity_contact_no);?>"><?php echo esc_html($social_charity_contact_no);?></a>
						</div>
					</div>
					<div class="c-info">
						<div class="icon">
							<span class="fa fa-envelope" aria-hidden="true"></span>
						</div>
						<div class="text">
							<span class="title"><?php echo esc_html__('Email','social-charity');?></span>
							<a href="mailto<?php echo esc_attr($social_charity_contact_email);?>"><?php echo esc_html($social_charity_contact_email);?></a>
						</div>
					</div>
				</div>
			</div>
			<div class="col-lg-8">
				<div class="getintouch mgb-lg">
					<h3 class="title"><?php echo esc_html($social_charity_contact_gint);?></h3>
					<?php if (get_theme_mod('social_charity_frontpage_contact_form_option')):
						echo do_shortcode(get_theme_mod('social_charity_frontpage_contact_form_option'));
					endif; ?> 
				</div>
			</div>
		</div>
	</div>
</section>

<?php 
get_footer(); 
?>